import { gql } from '@apollo/client';

export const PRINT_TASK = gql`
  mutation PrintTask($id: ID!, $userId: ID!) {
    printTask(id: $id, userId: $userId) {
      id
      print_count
      last_printed_at
    }
  }
`;

export const PRINT_STEP = gql`
  mutation PrintStep($id: ID!, $userId: ID!) {
    printStep(id: $id, userId: $userId) {
      id
      print_count
      last_printed_at
    }
  }
`;

export const CREATE_NOTE = gql`
  mutation CreateNote($content: String!, $stepId: ID!, $userId: ID!) {
    createNote(content: $content, stepId: $stepId, userId: $userId) {
      id
      content
      created_at
      user {
        id
        name
      }
    }
  }
`;